Products
List products
Retrieve all products with optional filtering and pagination
GET
/
products
List products
curl --request GET \
--url https://integrations.clopos.com/open-api/v2/products \
--header 'x-token: <api-key>'const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://integrations.clopos.com/open-api/v2/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.clopos.com/open-api/v2/products"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"status": 123,
"price": 123,
"cost_price": 123,
"has_modifications": true,
"modifications": [
{
"id": 123,
"parent_id": 123,
"type": "MODIFICATION",
"name": "<string>",
"price": 123,
"cost_price": 123,
"barcode": "<string>",
"full_name": "<string>",
"status": 123
}
],
"modificator_groups": [
{
"id": 123,
"name": "<string>",
"type": 123,
"min_select": 123,
"max_select": 123,
"modificators": [
{
"id": 123,
"name": "<string>",
"price": 123,
"cost_price": 123,
"max_count": 123,
"status": true,
"ingredient": "<unknown>"
}
]
}
],
"recipe": [
{
"id": 123,
"name": "<string>",
"cost_price": 123,
"pivot": {
"gross": "<string>"
}
}
],
"packages": [
{
"id": 123,
"name": "<string>",
"equal": 123
}
],
"setting": {
"interval": 123,
"prices": [
{
"price": 123,
"from": 123
}
]
},
"taxes": [
{
"id": 123,
"name": "<string>",
"rate": 123
}
],
"tags": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
JWT access token obtained from /v2/auth endpoint
Query Parameters
Page number for pagination (starts at 1)
Required range:
x >= 1Maximum number of products to return (1-100)
Required range:
1 <= x <= 100JSON-stringified filter array. Each filter is an array of [field, value] or [field, operator, value]. Example: [["type", "PRODUCT"]]
Example:
"[[\"type\",\"PRODUCT\"]]"
Comma-separated list of fields to include in the response. The fields id, name, and type are always included.
Example:
"id,name,type,price,image"
Was this page helpful?
⌘I
List products
curl --request GET \
--url https://integrations.clopos.com/open-api/v2/products \
--header 'x-token: <api-key>'const options = {method: 'GET', headers: {'x-token': '<api-key>'}};
fetch('https://integrations.clopos.com/open-api/v2/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.clopos.com/open-api/v2/products"
headers = {"x-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"status": 123,
"price": 123,
"cost_price": 123,
"has_modifications": true,
"modifications": [
{
"id": 123,
"parent_id": 123,
"type": "MODIFICATION",
"name": "<string>",
"price": 123,
"cost_price": 123,
"barcode": "<string>",
"full_name": "<string>",
"status": 123
}
],
"modificator_groups": [
{
"id": 123,
"name": "<string>",
"type": 123,
"min_select": 123,
"max_select": 123,
"modificators": [
{
"id": 123,
"name": "<string>",
"price": 123,
"cost_price": 123,
"max_count": 123,
"status": true,
"ingredient": "<unknown>"
}
]
}
],
"recipe": [
{
"id": 123,
"name": "<string>",
"cost_price": 123,
"pivot": {
"gross": "<string>"
}
}
],
"packages": [
{
"id": 123,
"name": "<string>",
"equal": 123
}
],
"setting": {
"interval": 123,
"prices": [
{
"price": 123,
"from": 123
}
]
},
"taxes": [
{
"id": 123,
"name": "<string>",
"rate": 123
}
],
"tags": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}